/*
 *	$Id: cddaplay.h,v 1.4 2002/08/09 18:57:40 solyga Exp $
 */

#include <stdio.h>
#include <errno.h>		/* errno */
#include <unistd.h>		/* getopt(), read(), write(), STDIN_FILENO .. */
#include <stdlib.h>		/* strtol(), malloc(), ... */
#include <fcntl.h>		/* open() */
#include <limits.h>		/* LONG_MIN, LONG_MAX */
#include <linux/cdrom.h>	/* struct cdrom_tocentry */
#include <linux/soundcard.h>	/* SNDCTL_DSP_SAMPLESIZE */
#include <sys/ioctl.h>		/* ioctl() */
#include <sys/types.h>		/* lseek(2) */
#include <string.h>		/* strrchr(), strcmp() */

#define HELP_CHANNEL    stdout
#define	VERSION_CHANNEL	stderr
#define	VERBOSE_CHANNEL	stderr
#define ERROR_CHANNEL   stderr
#define DEBUG_CHANNEL   stdout

#define	RETVAL_OK	0
#define	RETVAL_BUG	1
#define	RETVAL_ERROR	2

#define DEFAULT_DSP_SPEED        44100
#define MIN_DSP_SPEED              100
#define MAX_DSP_SPEED            88200
#define DEFAULT_DSP_SAMPLESIZE      16
#define DEFAULT_DSP_DEVICE	"/dev/dsp"
#define DEFAULT_DSP_STEREO           1
#define	DEFAULT_SWAP		     1

#define	FLIP( A )		( (A) != 0 ? 0 : 1 )


#define	VERSION_NUMBER		"0.02.02"
#define	DATE_OF_LAST_MOD	"2002-08-09"
#define	MY_EMAIL_ADDRESS	"Steffen Solyga <solyga@absinth.net>"
